pipeline {
    agent any

    stages {
        stage('Build') {
            steps {
                sh 'python -m venv env'
                sh 'env/bin/pip install -r requirements.txt'
            }
        }

        stage('Test') {
            steps {
                sh 'env/bin/python -m pytest --jenkins --headless --browser=chrome --html=reports/report-chrome.html --self-contained-html'
            }
            post {
                always {
                    publishHTML([allowMissing: false,
                        alwaysLinkToLastBuild: true,
                        keepAll: true,
                        reportDir: 'reports',
                        reportFiles: 'report-chrome.html',
                        reportName: 'Report'
                    ])
                }
            }
        }
    }
}